# サービス

***

## **サービス詳細** <a href="#service-info" id="service-info"></a>

#### **(1) インターフェース説明** <a href="#interface" id="interface"></a>

* URL : https\://{domain}.oc.nhncloud.com/{serviceId}/api/v2/service.json

| インターフェース名 | プロトコル | 呼び出し方向 | エンコード | 結果形式 | インターフェース説明          | アクセス制限可否 |
| --------- | ----- | ------ | ----- | ---- | ------------------- | -------- |
| サービス詳細    | HTTPS | GET    | UTF-8 | JSON | サービスIDを通じてサービス情報を照会 | 必要なし     |

***

#### **(2)** リクエストパラメータ定義 <a href="#request" id="request"></a>

| 名称     | 変数        | データタイプ | 変数タイプ | 必須 | 説明                               |
| ------ | --------- | ------ | ----- | -- | -------------------------------- |
| サービスID | serviceId | String | path  | O  | サービスID，URL PATH内に設定した{serviceId} |

***

#### **(3)** 結果データ <a href="#response-data" id="response-data"></a>

| 名称             | 変数                | データタイプ  | 説明                                                                 |
| -------------- | ----------------- | ------- | ------------------------------------------------------------------ |
| result.content | serviceId         | String  | サービス ID                                                            |
|                | name              | String  | サービス名                                                              |
|                | profile           | String  | サービス背景画像                                                           |
|                | language          | String  | サービス基本言語コード                                                        |
|                | languages         | Array   | サービス言語リスト                                                          |
|                | languages.code    | String  | 言語コード                                                              |
|                | languages.name    | String  | 言語名称                                                               |
|                | languages.orderNo | Integer | 言語露出順序                                                             |
|                | multiLanguage     | Boolean | <p>サービス多言語対応有無 </p><ul><li>true: 多言語</li><li>false: 単一言語</li></ul> |

***

#### **(4) Response Body** <a href="#response-body" id="response-body"></a>

```json
{
    "header": {
        "resultCode": 200,
        "resultMessage": "",
        "isSuccessful": true
    },
    "result": {
        "content": {
            "serviceId": "APISample",
            "name": "APISample",
            "profile": {
                "fileUrl": "https://api-storage.cloud.nhncloud.com/v1/AUTH_226f908c769e48b0bad7d32f9a91717f/service_alpha/WopqM8euoYw89B7i/27316eba2a8a4089b72a9cf18a83e144.png"
            },
            "language": "ko",
            "languages": [
                {
                    "code": "ko",
                    "name": "한국어",
                    "orderNo": 0
                },
                {
                    "code": "ja",
                    "name": "日本語",
                    "orderNo": 1
                },
                {
                    "code": "en",
                    "name": "English",
                    "orderNo": 2
                },
                {
                    "code": "zh",
                    "name": "中文",
                    "orderNo": 3
                },
                {
                    "code": "th",
                    "name": "ไทย",
                    "orderNo": 4
                }
            ],
            "multiLanguage": true
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.contiple.com/jp/api/open-api/service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
